Package com.independentsoft.office.charts

# Class NumericPoint

java.lang.Object
com.independentsoft.office.charts.NumericPoint

public class NumericPoint extends Object
The Class NumericPoint.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericPoint()`
  Instantiates a new numeric point.
  `NumericPoint​(int index, String value)`
  Instantiates a new numeric point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumericPoint`
  `clone()`
  `String`
  `getFormat()`
  Gets the format.
  `int`
  `getIndex()`
  Gets the index.
  `String`
  `getValue()`
  Gets the value.
  `void`
  `setFormat​(String format)`
  Sets the format.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumericPoint

    public NumericPoint()
    Instantiates a new numeric point.

  - ### NumericPoint

    public NumericPoint​(int index, String value)
    Instantiates a new numeric point.
    Parameters:
      `index` - the index
      `value` - the value

- ## Method Details

  - ### clone

    public NumericPoint clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getFormat

    public String getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(String format)
    Sets the format.
    Parameters:
      `format` - the new format

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value